# FTXUI: modal_dialog.cpp File Reference

Loading...
Searching...
No Matches
modal_dialog.cpp File Reference

Go to the source code of this file.

## Functions

Component | MainComponent (std::function< void()> show_modal, std::function< void()> exit)
Component | ModalComponent (std::function< void()> do_nothing, std::function< void()> hide_modal)
int | main (int argc, const char *argv[])

## Variables

auto | button_style = ButtonOption::Animated()

## Function Documentation

## MainComponent()

Component MainComponent | ( | std::function< void()> | show_modal,
|  | std::function< void()> | exit )

Examples
  examples/component/modal_dialog.cpp.

Definition at line 18 of file modal_dialog.cpp.

## ModalComponent()

Component ModalComponent | ( | std::function< void()> | do_nothing,
|  | std::function< void()> | hide_modal )

Examples
  examples/component/modal_dialog.cpp.

Definition at line 40 of file modal_dialog.cpp.

## main()

int main | ( | int | argc,
|  | const char * | argv[] )

Definition at line 59 of file modal_dialog.cpp.

## Variable Documentation

## button_style

auto button_style = ButtonOption::Animated()

Examples
  examples/component/modal_dialog.cpp.

Definition at line 15 of file modal_dialog.cpp.